/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { CellInfoDescription } from "./CellInfoDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ImageCellInfoDescription = /** @class */ (function (_super) {
    __extends(ImageCellInfoDescription, _super);
    function ImageCellInfoDescription() {
        var _this = _super.call(this) || this;
        _this.di = null;
        _this.dk = null;
        _this.dj = null;
        return _this;
    }
    ImageCellInfoDescription.prototype.get_type = function () {
        return "ImageCellInfo";
    };
    Object.defineProperty(ImageCellInfoDescription.prototype, "imagePath", {
        get: function () {
            return this.di;
        },
        set: function (a) {
            this.di = a;
            this.e("ImagePath");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImageCellInfoDescription.prototype, "imageStretchOption", {
        get: function () {
            return this.dk;
        },
        set: function (a) {
            this.dk = a;
            this.e("ImageStretchOption");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImageCellInfoDescription.prototype, "imageResourceType", {
        get: function () {
            return this.dj;
        },
        set: function (a) {
            this.dj = a;
            this.e("ImageResourceType");
        },
        enumerable: true,
        configurable: true
    });
    ImageCellInfoDescription.$t = markType(ImageCellInfoDescription, 'ImageCellInfoDescription', CellInfoDescription.$);
    return ImageCellInfoDescription;
}(CellInfoDescription));
export { ImageCellInfoDescription };
